package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.OrgUserLevelMapper;
import com.sa.ibiz.demo.demo.domain.OrgUserLevel;
import com.sa.ibiz.demo.demo.service.OrgUserLevelService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.OrgUserLevelSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[OrgUserLevel] 服务对象接口实现
 */
@Service
public class OrgUserLevelServiceImpl extends ServiceImplBase<OrgUserLevelMapper, OrgUserLevel> implements OrgUserLevelService{


    @Resource
    private OrgUserLevelMapper orguserlevelMapper;


    @Override
    public boolean create(OrgUserLevel et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(OrgUserLevel et){
        this.beforeUpdate(et);
		this.orguserlevelMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(OrgUserLevel et){
		return et.getOrguserlevelid();  
    }

    @Override
    public boolean getDraft(OrgUserLevel et)  {
            return true;
    }

	public List<OrgUserLevel> listDefault(OrgUserLevelSearchFilter filter) {
		return orguserlevelMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<OrgUserLevel> searchDefault(OrgUserLevelSearchFilter filter) {
		return orguserlevelMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return orguserlevelMapper.selectRow(sql);
    }

 }